﻿using System;
using PREPTOOLLib;

namespace ann
{
    class Ann
    {
        static void Main(string[] args)
        {
            //インスタンス生成
            PDoc doc = new PDoc();

            //結果のPDF文書を生成
            if (!doc.New("output.pdf", 595, 842))
            {
                Console.WriteLine("'output.pdf'を生成できませんでした。");
                Environment.Exit(1);
            }
            content header = doc.Header();

            //入力のPDF文書
            if (!doc.InputOpen("input.pdf"))
            {
                Console.WriteLine("'input.pdf'を開けませんでした。");
                Environment.Exit(2);
            }
            IDoc inp = doc.Input();

            //フォントを指定
            if (!header.SetFont("Courier", 12))
            {
                Console.WriteLine("フォントを設定できませんでした。");
                Environment.Exit(3);
            }

            /* Webリンクを追加
             * ------------------
             * リンク先 http://www.pdf-tools.trustss.co.jp/
             */
            header.SetTm(1, 0, 0, 1, 22, 22);
            header.PrintText("http://www.pdf-tools.trustss.co.jp/", 21, 24);
            doc.AddWebLink(1, 20, 20, 274, 34, "http://www.pdf-tools.trustss.co.jp/", 6);

            /* 文書内リンクの追加
             * ------------------
             * リンク先 第１ページの先頭
             */
            header.SetTm(1, 0, 0, 1, 22, 62);
            header.PrintText("Go to Top of 1st page", 22, 62);
            doc.AddGoToLink(1, 20, 60, 180, 16, 1, 0, 792, 2, 0);   //移動先

            // 最初のページをコピーする。このときテキストを含んだヘッダーがマージされる
            doc.InputCopyPages(1, 1);

            //ヘッダをクリア（テキストを削除）する
            doc.HeaderClear();

            //残りのページをコピーして文書を閉じる
            doc.InputCopyPages(2, -1);
            doc.Close();
        }
    }
}
