﻿using System;
using PREPTOOLLib;

namespace cnt
{
    class Cnt
    {
        static void Main(string[] args)
        {
            //インスタンス生成
            PDoc doc = new PDoc();

            //出力ファイルおよびコンテンツヘッダーの取得
            if (!doc.New("output.pdf", 0, 0))
            {
                Console.WriteLine("'output.pdf'を作成できません");
                Environment.Exit(1);
            }
            content con = doc.Header();

            //入力ファイル
            if (!doc.InputOpen("input.pdf"))
            {
                Console.WriteLine("'input.pdf'を開けません");
                Environment.Exit(2);
            }

            //出力ファイルにセキュリティを設定
            doc.SetSecurity("pswd", null, "pcsa");

            /*ベジェ曲線を描画し、透明な円に埋める*/
            con.SetFillAlpha(0.15f);
            con.SetStrokeAlpha(0.15f);
            con.DrawArea(true);
            con.MoveTo(100, 117);
            con.CurveTo(100, 183, 200, 183, 200, 117, 0);
            con.CurveTo(200, 51, 100, 51, 100, 117, 0);
            con.DrawArea(false);

            /*ヘッダに四角を描く*/
            con.SetFillAlpha(1);
            for (int iRow = 0; iRow < 6; iRow++)
            {
                for (int iColumn = 0; iColumn < 6; iColumn++)
                {
                    // Yellow(1,1,0)    Green(0,1,0)
                    // Red(1,0,0)       Blue(0,0,1)
                    con.SetFillColor(1 - iColumn * .2f, iRow * .2f, (iColumn - iRow) * .2f);
                    con.DrawRect(100 + iColumn * 11, 100f + iRow * 11, 9, 9, 0);
                }
            }

            /*矢印を描く*/
            con.SetFillColor(1, 0, 0);
            con.SetStrokeAlpha(1);

            con.MoveTo(110, 90);
            con.DrawTo(150, 90);
            con.MoveTo(145, 93);
            con.DrawTo(150, 90);
            con.DrawTo(145, 87);

            con.MoveTo(175, 155);
            con.DrawTo(175, 115);
            con.MoveTo(178, 120);
            con.DrawTo(175, 115);
            con.DrawTo(172, 120);

            con.MoveTo(180, 85);
            con.DrawTo(170, 95);
            con.MoveTo(171, 89);
            con.DrawTo(170, 95);
            con.DrawTo(176, 94);

            /*テキストを書く*/
            con.SetFont("Helvetica", 8);

            con.SetFillColor(1, 0, 0);
            con.SetTm(1, 0, 0, 1, 115, 80);
            con.PrintText("+ Red -", 115, 80);

            con.SetFillColor(0, 1, 0);
            //回転
            //TM = cos(x), sin(x), -sib(x), cos(x), 0, 0
            con.SetTm(0, 1, -1, 0, 185, 117);
            con.PrintText("- Green +", 185, 117);

            con.SetFillColor(0, 0, 1);
            con.SetTm(.707f, -.707f, .707f, .707f, 168, 105);
            con.PrintText("- Blue +", 168, 105);

            /*すべてをコピーして文書を閉じる*/
            doc.InputCopyAll();
            doc.Close();
        }
    }
}
