﻿using System;
using PREPTOOLLib;

namespace wmk
{
    class Wmk
    {
        static void Main(string[] args)
        {
            //インスタンス生成
            PDoc doc = new PDoc();

            //出力ファイルを生成
            if (!doc.New("out.pdf", 0, 0))
            {
                Console.WriteLine("'output.pdf'を作成できません");
                Environment.Exit(1);
            }

            //ヘッダーハンドルを取得
            content hd = doc.Header();

            //フォントテンプレートを開く
            //このPDFに目的の文字が無い場合は、ASCII 32(space)に置き換わる。
            doc.InputOpen("msfonts.pdf");

            //フォントを指定
            hd.SetFont("MS-Mincho", 120);
            hd.SetGrayLevel(.5f, 0);
            hd.SetLineWidth(.5f);

            //入力ファイルを開く
            IDoc iDoc = doc.Input();
            iDoc.Open("input.pdf", null);
            doc.Attach(iDoc);

            //回転
            float s = (float)Math.Sin(60.0 * 3.14159f * 2f / 360f);
            float c = (float)Math.Cos(60.0 * 3.14159f * 2f / 360f);
            hd.SetTm(c, s, -s, c, 100, 100);

            //"outline"オペレータを指定
            hd.PrintText(" ", 100, 100);
            hd.TextCmd("1 Tr");

            //テキストをヘッダーレイヤーに書く
            hd.PrintText("日本語", 100, 100);

            //コピーして文書を閉じる
            doc.InputCopyAll();
            doc.Close();
        }
    }
}
